summaryrefslogtreecommitdiffstats
path: root/toolkit/components/nimbus/schemas/vendor.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 17:32:43 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 17:32:43 +0000
commit6bf0a5cb5034a7e684dcc3500e841785237ce2dd (patch)
treea68f146d7fa01f0134297619fbe7e33db084e0aa /toolkit/components/nimbus/schemas/vendor.sh
parentInitial commit. (diff)
downloadthunderbird-upstream.tar.xz
thunderbird-upstream.zip
Adding upstream version 1:115.7.0.upstream/1%115.7.0upstream
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'toolkit/components/nimbus/schemas/vendor.sh')
-rw-r--r--toolkit/components/nimbus/schemas/vendor.sh31
1 files changed, 31 insertions, 0 deletions
diff --git a/toolkit/components/nimbus/schemas/vendor.sh b/toolkit/components/nimbus/schemas/vendor.sh
new file mode 100644
index 0000000000..de0f5b5ca6
--- /dev/null
+++ b/toolkit/components/nimbus/schemas/vendor.sh
@@ -0,0 +1,31 @@
+#!/bin/bash
+set -euo pipefail
+
+ # Path to mach relative to toolkit/components/nimbus/schemas/
+MACH=$(realpath "../../../../mach")
+
+if [[ $(uname -a) == *MSYS* ]]; then
+ MACH="python ${MACH}"
+fi
+
+NPM="${MACH} npm"
+
+# Strip the leading v from the tag to get the version number.
+TAG="$1"
+VERSION="${TAG:1}"
+NAMESPACE="@mozilla/"
+PACKAGE="nimbus-shared"
+URL="https://registry.npmjs.org/${NAMESPACE}${PACKAGE}/-/${PACKAGE}-${VERSION}.tgz"
+
+mkdir -p tmp
+cd tmp
+
+curl --proto '=https' --tlsv1.2 -sSf "${URL}" | tar -xzf - --strip-components 1
+
+cp "schemas/experiments/NimbusExperiment.json" "../NimbusExperiment.schema.json"
+cd ..
+
+# Ensure the generated file ends with a newline
+sed -i -e '$a\' NimbusExperiment.schema.json
+
+rm -rf tmp